nxt.ae

## Class AssetControl.PhasingOnly

- java.lang.Object
- - nxt.voting.PhasingControl
  - - nxt.ae.AssetControl.PhasingOnly

- Enclosing class:
    AssetControl

      public static final class AssetControl.PhasingOnly
      extends PhasingControl

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class nxt.voting.PhasingControl

      `PhasingControl.SubPoll`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `DEFAULT_ASSET_CONTROL_VARIABLE`

    - ### Fields inherited from class nxt.voting.PhasingControl

      `params`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `checkTransaction(ChildTransaction transaction)`
    `static AssetControl.PhasingOnly` | `get(long assetId)`
    `static DbIterator<AssetControl.PhasingOnly>` | `getAll(int from, int to)`
    `long` | `getAssetId()`
    `java.lang.String` | `getControlType()`
    `static int` | `getCount()`
    `java.lang.String` | `getDefaultControlVariable()`

    - ### Methods inherited from class nxt.voting.PhasingControl

      `checkPhasing, getPhasingParams, init`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_ASSET_CONTROL_VARIABLE

          public static final java.lang.String DEFAULT_ASSET_CONTROL_VARIABLE

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### get

          public static AssetControl.PhasingOnly get(long assetId)

    - #### getCount

          public static int getCount()

    - #### getAll

          public static DbIterator<AssetControl.PhasingOnly> getAll(int from,
                                                                    int to)

    - #### getAssetId

          public long getAssetId()

    - #### getControlType

          public final java.lang.String getControlType()

      Specified by:
        `getControlType` in class `PhasingControl`

    - #### getDefaultControlVariable

          public final java.lang.String getDefaultControlVariable()

      Specified by:
        `getDefaultControlVariable` in class `PhasingControl`

    - #### checkTransaction

          protected void checkTransaction(ChildTransaction transaction)
                                   throws NxtException.AccountControlException

      Specified by:
        `checkTransaction` in class `PhasingControl`
      Throws:
        `NxtException.AccountControlException`